<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>HW1 - Destructuring</title>
</head>
<body>

<script src="js/task-1.js"></script>
<!--<script src="js/task-2.js"></script>-->
<!--<script src="js/task-3.js"></script>-->
<!--<script src="js/task-4.js"></script>-->
<!--<script src="js/task-5.js"></script>-->
<!--<script src="js/task-6.js"></script>-->
<!--<script src="js/task-7.js"></script>-->
</body>
</html>

<!--Деструктуризация - это встроенный в javaScript инструментарий для более удобной работы с обьектами/массивами.-->
<!--Используется для создания новых переменных (работа с ними напрямую сокращает код и повышает его читаемость):-->
<!--(1) из полностью клонированных обьектов/массивов,-->
<!--(2) из клонов их отдельных элементов,-->
<!--(3) из клонов их сгруппированных элементов.-->
<!--Таким образом, исходные обьекты/массивы не претерпевают изменений.-->
<!--Для целей деструктуризации используются операторы Rest/Spread.-->
<!--Rest позволяет записать остаточные (все, кроме указанных отдельно) составляющие исходного обьекта/массива-->
<!--в переменную rest.-->
<!--Spread позволяет развернуть исходный данные массива в строку, создать из обьекта его клон,-->
<!--трансформировать node-коллекцию в массив.-->